package com.gree.mall.contest.bean.coupon;

import com.gree.mall.contest.plus.entity.Coupon;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class CouponPageBean extends Coupon {

    @Schema(description = "领取数量")
    private Integer receivedCount;

    @Schema(description = "使用数量")
    private Integer usedCount;

    @Schema(description = "优惠券状态")
    private String releaseFlag;


}
