package com.gree.mall.contest.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.fasterxml.jackson.annotation.JsonValue;

import com.gree.mall.contest.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum GoodsStatusEnum implements BaseEnum, IEnum<Boolean> {
    ONE("true", "上架"),
    TWO("false", "下架"),
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;


    @Override
    public Boolean getValue() {
        return Boolean.parseBoolean(key);
    }
}