package com.gree.mall.contest.enums.manage;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.contest.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum PopJumpTypeEnum implements BaseEnum {
    INNER("INNER","内部页面"),
    OUT_H5("OUT_H5","外部H5"),
    OUT_MI("OUT_MI","外部小程序"),
    DETAIL("DETAIL","详情页面"),
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
}
