package com.gree.mall.contest.constant;

import java.util.ArrayList;
import java.util.List;

public class Constant {

    //校验的token
    public static final String TOKEN_NAME = "x-token";
    //pc端接口前缀
    public static final String PC_API = "/pc";
    //小程序端接口前缀
    public static final String MINIAPP_API = "/miniapp";
    //默认的租户id
    public static final String GD_COMPANY_WECHAT_ID = "1";

    // JWT声明常量
    public static final String CLAIM_USER_ID = "userId";
    public static final String CLAIM_USERNAME = "username";
    public static final String CLAIM_REAL_NAME = "realName";
    public static final String CLAIM_USER_TYPE = "userType";
    public static final String CLAIM_USER_ROLE = "userRole";

    //系统部门，不可更改
    public static final List<String> SYS_WEBSIT_NAME = new ArrayList<String>(){{
        add("平台");
        add("服务商");
        add("合作商");
    }};

    public class SERVICE_PROVIDER{
        //服务商的父级部门id
        public final static String PARENT_WEBSIT_ID = "2";
        //服务商角色id
        public final static String ROLE_ID = "2";
        //合作商户角色id
        public final static String ROLE_MERCHANT_ID = "3";

        public final static String ROLE_SHOPP_ID = "4";
    }

    public class RedisPrefix {
        public static final String TOKEN_VERIFICATION = "mall:contest:verification";
        public static final String TOKEN_MANAGE = "mall:contest:token:manage:";
        public final static String LOCK_LOGIN = "mall:contest:login:";
        public final static String WORK_MINI_ACCESS_TOKEN = "mall:contest:work:mini:access:token";
        public final static String TOKEN_WX = "mall:contest:token:wx";
        public final static String TOKEN_MP_WX = "mall:contest:mp:token:wx";
        public final static String SMS = "mall:contest:sms";
        public final static String VERIFICATION = "mall:contest:verification";
        public final static String USER_BALANCE = "mall:contest:user:balance:";
        public final static String OLD_STOCK = "mall:contest:old:stock:";
        public final static String SERVICE_GENERATE_BILL = "mall:contest:service:generate:bill";
        public final static String SERVICE2_GENERATE_BILL = "mall:contest:service2:generate:bill";
        public final static String SERVICE2_PAY_BILL = "mall:contest:service2:pay:bill:";
        public final static String COUPON_STOCK_LOCK = "mall:contest:COUPON_STOCK_LOCK";
        public final static String LOCK_ORDER = "mall:contest:lock:order:";
        public final static String LOCK_AUTH = "mall:contest:lock:auth:";
        public final static String LOCK_ORDER_STOCK = "mall:contest:lock:stock";

        public final static String CLIENT = "mall:contest:client:";
    }

    public class Img {
        //订单售后 退款凭证
        public final static String ORDER_REFUND_TKPZ = "order_refund_tkpz";
        //订单售后 退货物流凭证
        public final static String ORDER_REFUND_WLPZ = "order_refund_wlpz";
        //商品轮播图
        public final static String GOODS_IMG = "goods_img_cm";
        //评价图片
        public final static String ORDER_COMMENT = "order_comment";
        //营销素材内容文件
        public final static String MARKETING_CONTENT_FILE = "marketing_content_file";
        //营销素材封面图
        public final static String MARKETING_SHOW_IMAGE = "marketing_show_image";
    }

    public final static Integer PAGE_SIZE = 100000;
}
